import prisma from "@/lib/db";

export async function getInfoUser(slug : string){
    try{
        const user = await prisma.utilisateur.findFirst({
            where : {
                ut_slug : slug
            }
        })
        if(user){
            return {success : true, user}
        }
        return {success : false, message : "Impossible de trouver les infos de l'utilisateur"}
    }catch(err){
        const error = err as Error
        throw new Error(error.message || "une erreur à été rencontrée lors de la recherche de l'utilisateur")
    }
}

export async function deleteUser(slug : string){
    try{

        const user = await prisma.utilisateur.findFirst({
            where : {
                ut_slug : slug
            }
        })
        if(user){
            await prisma.utilisateur.delete({
                where : {
                    ut_id : user.ut_id
                }
            })
            return {success : true}
        }
        return {success : false, message : "Impossible de supprimer l'utilisateur"}
    }catch(err){
        const error = err as Error
        throw new Error(error.message || "une erreur à été rencontrée lors suppression de l'utilisateur")
    }
}

